[Csnd-dev] Should I worry about....

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[Csnd-dev] Should I worry about....

jpff
cmake .
........
-- BUILD_JAVA_INTERFACE is enabled.
-- BUILD_LUA_INTERFACE is disabled.
-- SWIG_USE_FILE: /usr/share/cmake/Modules/UseSWIG.cmake
CMake Deprecation Warning at /usr/share/cmake/Modules/UseSWIG.cmake:231 (message
):
  SWIG_ADD_MODULE is deprecated.  Use SWIG_ADD_LIBRARY instead.
Call Stack (most recent call first):
  interfaces/CMakeLists.txt:112 (swig_add_module)

-- JNI INCLUDE set to /usr/lib64/jvm/java/include;/usr/lib64/jvm/java/include/li
nux;/usr/lib64/jvm/java/include.
CMake Deprecation Warning at /usr/share/cmake/Modules/UseSWIG.cmake:231 (message
):
  SWIG_ADD_MODULE is deprecated.  Use SWIG_ADD_LIBRARY instead.
Call Stack (most recent call first):
  interfaces/CMakeLists.txt:165 (SWIG_ADD_MODULE)

-- BUILD_CSBEATS is enabled.
-- BUILD_WINSOUND is enabled.
....

??

==John ffitch
Reply | Threaded
Open this post in threaded view
|

Re: [Csnd-dev] Should I worry about....

Steven Yi
I've noticed the warning about SWIG_ADD_MODULE a while now. I have a free moment and will look into it now.

On Thu, Apr 4, 2019 at 2:58 PM John <[hidden email]> wrote:
cmake .
........
-- BUILD_JAVA_INTERFACE is enabled.
-- BUILD_LUA_INTERFACE is disabled.
-- SWIG_USE_FILE: /usr/share/cmake/Modules/UseSWIG.cmake
CMake Deprecation Warning at /usr/share/cmake/Modules/UseSWIG.cmake:231 (message
):
  SWIG_ADD_MODULE is deprecated.  Use SWIG_ADD_LIBRARY instead.
Call Stack (most recent call first):
  interfaces/CMakeLists.txt:112 (swig_add_module)

-- JNI INCLUDE set to /usr/lib64/jvm/java/include;/usr/lib64/jvm/java/include/li
nux;/usr/lib64/jvm/java/include.
CMake Deprecation Warning at /usr/share/cmake/Modules/UseSWIG.cmake:231 (message
):
  SWIG_ADD_MODULE is deprecated.  Use SWIG_ADD_LIBRARY instead.
Call Stack (most recent call first):
  interfaces/CMakeLists.txt:165 (SWIG_ADD_MODULE)

-- BUILD_CSBEATS is enabled.
-- BUILD_WINSOUND is enabled.
....

??

==John ffitch
Reply | Threaded
Open this post in threaded view
|

Re: [Csnd-dev] Should I worry about....

Steven Yi
I pushed a fix for the SWIG_ADD_MODULE deprecation warning as well as added an include of CMakePushCheckState to resolve an error I got here about missing cmake_push_check_state. 


On Thu, Apr 4, 2019 at 3:14 PM Steven Yi <[hidden email]> wrote:
I've noticed the warning about SWIG_ADD_MODULE a while now. I have a free moment and will look into it now.

On Thu, Apr 4, 2019 at 2:58 PM John <[hidden email]> wrote:
cmake .
........
-- BUILD_JAVA_INTERFACE is enabled.
-- BUILD_LUA_INTERFACE is disabled.
-- SWIG_USE_FILE: /usr/share/cmake/Modules/UseSWIG.cmake
CMake Deprecation Warning at /usr/share/cmake/Modules/UseSWIG.cmake:231 (message
):
  SWIG_ADD_MODULE is deprecated.  Use SWIG_ADD_LIBRARY instead.
Call Stack (most recent call first):
  interfaces/CMakeLists.txt:112 (swig_add_module)

-- JNI INCLUDE set to /usr/lib64/jvm/java/include;/usr/lib64/jvm/java/include/li
nux;/usr/lib64/jvm/java/include.
CMake Deprecation Warning at /usr/share/cmake/Modules/UseSWIG.cmake:231 (message
):
  SWIG_ADD_MODULE is deprecated.  Use SWIG_ADD_LIBRARY instead.
Call Stack (most recent call first):
  interfaces/CMakeLists.txt:165 (SWIG_ADD_MODULE)

-- BUILD_CSBEATS is enabled.
-- BUILD_WINSOUND is enabled.
....

??

==John ffitch